{
  "$schema": "./node_modules/@angular/cli/lib/config/schema.json",
  "cli": { "analytics": "689ae0c9-fa46-4605-b71f-2ffe7e0a28c8" },
  "newProjectRoot": "projects",
  "projects": {
    "OnlineSalesAutoCropApp": {
      "architect": {
        "build": {
          "builder": "@angular-devkit/build-angular:application",
          "configurations": {
            "development": {
              "extractLicenses": false,
              "namedChunks": true,
              "optimization": false,
              "sourceMap": true
            },
            "production": {
              "aot": true,
              "budgets": [
                {
                  "type": "initial",
                  "maximumWarning": "5mb",
                  "maximumError": "7mb"
                },
                {
                  "type": "anyComponentStyle",
                  "maximumWarning": "6kb",
                  "maximumError": "25kb"
                }
              ],
              "fileReplacements": [
                {
                  "replace": "src/environments/environment.ts",
                  "with": "src/environments/environment.prod.ts"
                }
              ],
              "namedChunks": false,
              "optimization": {
                "fonts": true,
                "scripts": true,
                "styles": {
                  "minify": true,
                  "inlineCritical": false
                }
              },
              "outputHashing": "all",
              "security": { "autoCsp": true },
              "serviceWorker": "ngsw-config.json",
              "sourceMap": false
            }
          },
          "defaultConfiguration": "production",
          "options": {
            "allowedCommonJsDependencies": [
              "crypto-js",
              "hi-base32",
              "file-saver"
            ],
            "assets": [
              "src/assets",
              "src/favicon.ico",
              "src/manifest.json",
              "src/appsettings.json",
              "src/imageforapple.png",
              {
                "glob": "**/*",
                "input": "node_modules/ngx-extended-pdf-viewer/assets/",
                "output": "/assets/"
              },
              {
                "glob": "**/*",
                "input": "node_modules/ngx-extended-pdf-viewer/bleeding-edge/",
                "output": "/bleeding-edge/"
              }
            ],
            "browser": "src/main.ts",
            "extractLicenses": false,
            "index": "src/index.html",
            "namedChunks": true,
            "optimization": false,
            "outputPath": "../../Deployment/App",
            "polyfills": [ "src/polyfills.ts" ],
            "progress": true,
            "scripts": [
              "node_modules/jquery/dist/jquery.min.js",
              "node_modules/bootstrap/dist/js/bootstrap.min.js"
            ],
            "sourceMap": true,
            "styles": [
              "node_modules/bootstrap/dist/css/bootstrap.min.css",
              "node_modules/font-awesome/css/font-awesome.min.css",
              "node_modules/@progress/kendo-font-icons/dist/index.css",
              "node_modules/@progress/kendo-theme-default/dist/all.css",
              "node_modules/ngx-spinner/animations/ball-spin-clockwise.css",
              "src/styles.css"
            ],
            "tsConfig": "src/tsconfig.app.json"
          }
        },
        "serve": {
          "builder": "@angular-devkit/build-angular:dev-server",
          "configurations": {
            "production": {
              "buildTarget": "OnlineSalesAutoCropApp:build:production"
            },
            "development": {
              "buildTarget": "OnlineSalesAutoCropApp:build:development",
              "hmr": false
            }
          },
          "defaultConfiguration": "development"
        },
        "extract-i18n": {
          "builder": "@angular-devkit/build-angular:extract-i18n",
          "options": {
            "buildTarget": "OnlineSalesAutoCropApp:build"
          }
        },
        "test": {
          "builder": "@angular-devkit/build-angular:karma",
          "options": {
            "main": "src/test.ts",
            "polyfills": "src/polyfills.ts",
            "tsConfig": "src/tsconfig.spec.json",
            "karmaConfig": "src/karma.conf.js",
            "styles": [
              {
                "input": "node_modules/@progress/kendo-theme-default/dist/all.css",
                "inject": true
              },
              "src/styles.css"
            ],
            "scripts": [],
            "assets": [
              "src/assets",
              "src/manifest.json"
            ]
          }
        },
        "lint": {
          "builder": "@angular-eslint/builder:lint",
          "options": {
            "lintFilePatterns": [
              "src/**/*.ts",
              "src/**/*.html"
            ]
          }
        },
        "server": {
          "builder": "@angular-devkit/build-angular:server",
          "configurations": {
            "dev": {
              "extractLicenses": false,
              "namedChunks": false,
              "optimization": false,
              "sourceMap": true
            },
            "production": {
              "extractLicenses": false,
              "namedChunks": false,
              "optimization": true,
              "outputHashing": "all",
              "sourceMap": false
            }
          },
          "defaultConfiguration": "",
          "options": {
            "main": "src/main.ts",
            "optimization": true,
            "outputPath": "dist-server",
            "sourceMap": false,
            "tsConfig": "src/tsconfig.server.json"
          }
        }
      },
      "prefix": "app",
      "projectType": "application",
      "root": "",
      "schematics": {},
      "sourceRoot": "src"
    }
  },
  "version": 1
}
